/*
 *  Copyright (c) Members of the EGEE Collaboration. 2005.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  gLite Data Management - Simple channel management API
 *
 *  Authors:
 *      Zsolt Molnar <Zsolt.Molnar@cern.ch>
 */
 
#include "fts_soap_exception_api_impl.h"
#include "fts_exception_factory.h"

fts_exception_t* _fts_build_exception(fts_xml_repr_t *detail, const axutil_env_t *env)
{
    fts_exception_t *exception = NULL;
    
    exception = _fts_create_exception_Authorization(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_Internal(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_NotExists(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_InvalidArgument(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_ServiceBusy(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_CannotCancel(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_Exists(detail, env);

    if (exception)
        return exception;
        
    return NULL;
}
