#ifndef PLACEMENT_API_INTERNAL_H
#define PLACEMENT_API_INTERNAL_H

#include <glite/data/transfer/c/ftsStub.h>

#include "internal.h"

/**********************************************************************
 * Data type definitions
 */

typedef struct _sd_params       sd_params;

struct _sd_params
{
    glite_fts_surl_pattern      pattern;
    char                *surl_prefix;
    char                *srm_endpoint;
};

/**********************************************************************
 * SOAP type conversion functions
 */
#if _GSOAP_VERSION >= 0x020700
#define ArrayOf_USCOREsoapenc_USCOREstring ftsArrayOf_USCOREsoapenc_USCOREstring
#endif


int to_soap_StringArray(struct soap *soap,
    struct ArrayOf_USCOREsoapenc_USCOREstring *req,
    int nitems, const char * const items[]);
char **from_soap_StringArray(glite_transfer_ctx *ctx,
    struct ArrayOf_USCOREsoapenc_USCOREstring *resp, int *resultCount);

struct transfer__TransferJob *to_soap_TransferJob(glite_transfer_ctx *ctx,
    struct soap *soap, const glite_transfer_TransferJob *job);
struct transfer__TransferJob2 *to_soap_TransferJob2(glite_transfer_ctx *ctx,
    struct soap *soap, const glite_transfer_TransferJob *job);
struct transfer__PlacementJob *to_soap_PlacementJob(struct soap *soap,
        const glite_transfer_PlacementJob *job);
glite_transfer_FileTransferStatus *from_soap_FileTransferStatus(glite_transfer_ctx *ctx,
    const struct transfer__FileTransferStatus *sstatus);
glite_transfer_JobStatus *from_soap_JobStatus(glite_transfer_ctx *ctx,
    const struct transfer__JobStatus *sstatus);
glite_transfer_TransferJobSummary *from_soap_TransferJobSummary(glite_transfer_ctx *ctx,
    const struct transfer__TransferJobSummary *ssummary);
glite_transfer_Roles *from_soap_Roles(glite_transfer_ctx *ctx,
        const struct transfer__Roles *sroles);
    
#endif /* PLACEMENT_API_INTERNAL_H */
