/**
 *  Copyright (c) Members of the EGEE Collaboration. 2005.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  gLite Transfer Clients - Cancel a transfer
 *
 *  Authors: Gabor Gombas <Gabor.Gombas@cern.ch>
 *           Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: cancel.c,v 1.9 2008/08/13 14:44:52 ptedesco Exp $
 *  Release: $Name: glite-data-transfer-cli_R_3_7_4_1 $
 */

#include <glite/data/transfer/c/fts-simple.h>
#include <stdlib.h>

#include "tool-main.h"

/**********************************************************************
 * Global variables
 */

/* Usage message */
const char *tool_usage = "ID [ID...]";

/* Help message */
const char *tool_help = NULL;

/* getguid-specific command line options */
const char *tool_options = NULL;
NO_TOOL_LONG_OPTIONS;

/**********************************************************************
 * Tool implementation
 */

int tool_doit(glite_transfer_ctx *ctx, int argc, char *argv[]) {
    int i, ret;

    if (!argc) {
        error("No request ID specified");
        return EXIT_FAILURE;
    }

    ret = glite_fts_cancel(ctx, argc, (const char **)argv);
    if (ret) {
        error("cancel: %s", glite_transfer_get_error(ctx));
        return EXIT_FAILURE;
    }

    for (i = 0; i < argc; i++) {
        info("Canceled %s", argv[i]);
    }

    return EXIT_SUCCESS;
}

/**********************************************************************
 * Command line parsing
 */

int tool_parse_cmdline(int c G_GNUC_UNUSED, char *opt_arg G_GNUC_UNUSED) {
    return -1;
}
