/*
 *  Copyright (c) Members of the EGEE Collaboration. 2005.
 *  See http://eu-egee.org/partners/ for details on the copyright holders.
 *  For license conditions see the license file or http://eu-egee.org/license.html
 *
 *  gLite Transfer Clients - List managers associated to a channel
 *
 */

#include <glite/data/transfer/c/channel-simple.h>
#include <glite/data/glite-util.h>

#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

#include "tool-main.h"

/**********************************************************************
 * Global variables
 */

/* Usage message */
const char *tool_usage = "CHANNEL";

/* Help message */
const char *tool_help = NULL;

/* getguid-specific command line options */
const char *tool_options = NULL;
NO_TOOL_LONG_OPTIONS;


/**********************************************************************
 * Tool implementation
 */

int tool_doit(glite_transfer_ctx *ctx, int argc, char *argv[])
{
    int cnt, i;
    char **tmp;

    if (1 != argc)
    {
        error("Wrong number of arguments");
        return EXIT_FAILURE;
    }

    tmp = glite_channel_listManagers(ctx, argv[0], &cnt);
    if (cnt < 0)
    {
        error("listManagers: %s", glite_transfer_get_error(ctx));
        return EXIT_FAILURE;
    }

    for (i = 0; i < cnt; i++)
        printf("%s\n", tmp[i]);
    glite_freeStringArray(cnt, tmp);

    return EXIT_SUCCESS;
}

/**********************************************************************
 * Command line parsing
 */

int tool_parse_cmdline(int c G_GNUC_UNUSED, char *opt_arg G_GNUC_UNUSED)
{
    return -1;
}
